Skip to main content
DELETE
/
datasets
/
{dataset_id}
/
documents
/
{document_id}
Error
A valid request URL is required to generate request examples
{
  "status": 400,
  "code": "document_indexing",
  "message": "Cannot delete document during indexing."
}

Documentation Index

Fetch the complete documentation index at: https://docs.dify.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences.

Path Parameters

dataset_id
string<uuid>
required

Knowledge base ID.

document_id
string<uuid>
required

Document ID.

Response

Success.